#include <iostream>
#include "math.h"

typedef signed int INT32;

namespace GEO {
	const double PI = 3.14159265359;
	const double PIOVER2 = PI/2.0;
	const double TWOPI = 6.28318530718;
	const double DE2RA = 0.01745329252;
	const double RA2DE = 57.2957795129;
	const double ERAD = 6378.137;
	const double FLATTENING = 1.000000/298.257223563;// Earth flattening (WGS84)
	const double EPS = 0.000000000005;
}

using namespace std;

class GeoCalc {
public:
	  // great circle method
	static double GCAzimuth(double lat1, double lon1, double lat2, double lon2);

	// ellipsoid methods
	static double EllipsoidDistance(double lat1, double lon1, double lat2, double lon2);
};

